{ inputs, config, pkgs, ... }:
let
    fzgo_paths = [
        "/home/user/.dotfiles"
        "/home/server/.cache/fzgo/entries/d/|home|server|Workspace"
        "/home/server/.cache/fzgo/entries/d/|home|server|Storage|Thomas"
        "/home/server/.cache/fzgo/entries/d/|home|server|Storage|Shared"
    ];
in
{
    imports = [
        (import ./utils/common.nix { inherit inputs config pkgs; })
        (import ./utils/python.nix { inherit inputs config pkgs; })
        (import ./utils/fzgo_links.nix { inherit config pkgs fzgo_paths; })
        ./ssh
    ];

    programs.ssh.matchBlocks."*".identityFile = "/home/user/.secrets/SSH/Riva/id_ed25519";

    home.packages = with pkgs; [
        distrobox
        jq
    ];
}
